Skip to main content
Use these operations to interact with Scorecards in Cortex.

Required permissions

  • Create, read, update, or delete Scorecards: Your API key must have the Edit Scorecards permission.
  • View Scorecards: Your API key must have the View Scorecards permission.
  • Approve or revoke Scorecard exemptions: Your API key must have the Configure Scorecard exemptions permission.

Operations

List Scorecards

GET /api/v1/scorecards

Retrieve Scorecard scores

GET /api/v1/scorecards/{tag}/scores

Retrieve entity Scorecard scores

GET /api/v1/catalog/{tagOrId}/scorecards

Retrieve Scorecard

GET /api/v1/scorecards/{tag}

Retrieve Scorecard descriptor

GET /api/v1/scorecards/{tag}/descriptor

Retrieve Scorecard shields.io badge

GET /api/v1/scorecards/{scorecardTag}/entity/{tagOrId}/badge

Retrieve next steps for entity in Scorecard

GET /api/v1/scorecards/{tag}/next-steps

Create or update Scorecard

POST /api/v1/scorecards/descriptor

Request Scorecard rule exemption

POST /api/v1/scorecards/{tag}/entity/{entityTag}/exemption

Evaluate entity scorecard score

POST /api/v1/scorecards/{tag}/entity/{entityTag}/scores

Revoke Scorecard rule exemption

PUT /api/v1/scorecards/{tag}/entity/{entityTag}/exemption/revoke

Approve Scorecard rule exemption

PUT /api/v1/scorecards/{tag}/entity/{entityTag}/exemption/approve

Deny Scorecard rule exemption

PUT /api/v1/scorecards/{tag}/entity/{entityTag}/exemption/deny

Delete Scorecard

DELETE /api/v1/scorecards/{tag}
Last modified on September 24, 2026